## org.apache.xerces.impl.dv
Interface ValidationContext

All Known Implementing Classes:
  ValidationState

public interface ValidationContext

ValidationContext has all the information required for the validation of: id, idref, entity, notation, qname

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: ValidationContext.java 713638 2008-11-13 04:42:18Z mrglavas $
Author:
  Sandy Gao, IBM

Method Summary
`void` `addId(java.lang.String name)`
`void` `addIdRef(java.lang.String name)`
`java.util.Locale` `getLocale()`
`java.lang.String` `getSymbol(java.lang.String symbol)`
`java.lang.String` `getURI(java.lang.String prefix)`
`boolean` `isEntityDeclared(java.lang.String name)`
`boolean` `isEntityUnparsed(java.lang.String name)`
`boolean` `isIdDeclared(java.lang.String name)`
`boolean` `needExtraChecking()`
`boolean` `needFacetChecking()`
`boolean` `needToNormalize()`
`boolean` `useNamespaces()`

Method Detail

### needFacetChecking

    public boolean needFacetChecking()

### needExtraChecking

    public boolean needExtraChecking()

### needToNormalize

    public boolean needToNormalize()

### useNamespaces

    public boolean useNamespaces()

### isEntityDeclared

    public boolean isEntityDeclared(java.lang.String name)

### isEntityUnparsed

    public boolean isEntityUnparsed(java.lang.String name)

### isIdDeclared

    public boolean isIdDeclared(java.lang.String name)

### addId

    public void addId(java.lang.String name)

### addIdRef

    public void addIdRef(java.lang.String name)

### getSymbol

    public java.lang.String getSymbol(java.lang.String symbol)

### getURI

    public java.lang.String getURI(java.lang.String prefix)

### getLocale

    public java.util.Locale getLocale()

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.